# Bytemark UI Component Library

The Bytemark UI Component Library is a collection of user interface elements in Bytemark's brand-appropriate styles and colours.

Based on the popular Bulma CSS framework (https://bulma.io/), customised to include Bytemark's colour schemes, font's, sizes and particular needs.

It is a living document that highlights how elements can be used individually (such as a `button`) or interconnect and interact as part of a larger component (such as a `panel` or `message`).

## Getting started

Check out the develop branch and make a new branch based on what you're working on at the time.

From here, you can get the project running by entering the following commands:

- `npm install`
- `npm start` or `npm run start` depending on your setup

This will start a local development server using Webpack running on the following address:

`http://localhost:4000`
